Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\Converter\Link Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\RichText\Converter\Link:

## Public Member Functions
| __construct (LocationService $locationService, ContentService $contentService, UrlAliasRouter $urlAliasRouter, LoggerInterface $logger=null)
Public Member Functions inherited from eZ\Publish\Core\FieldType\RichText\Converter
| convert (DOMDocument $xmlDoc)
| Converts given $xmlDoc into another \DOMDocument object. More...

## Protected Attributes
| $locationService
| $contentService
| $urlAliasRouter
| $logger

## Detailed Description

Deprecated:
  since 7.4, use \EzSystems\EzPlatformRichText\eZ\RichText\Converter\Link from EzPlatformRichTextBundle.

Definition at line 22 of file Link.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\Converter\Link::__construct | ( | LocationService | $locationService,
|  | ContentService | $contentService,
|  | UrlAliasRouter | $urlAliasRouter,
|  | LoggerInterface | $logger = `null`
| ) |  |

Definition at line 36 of file Link.php.

References eZ\Publish\Core\FieldType\RichText\Converter\Link\$contentService, eZ\Publish\Core\FieldType\RichText\Converter\Link\$locationService, eZ\Publish\Core\FieldType\RichText\Converter\Link\$logger, and eZ\Publish\Core\FieldType\RichText\Converter\Link\$urlAliasRouter.

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\FieldType\RichText\Converter\Link::$contentService
| protected

Definition at line 28 of file Link.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Link\__construct().

## ◆ $locationService

eZ\Publish\Core\FieldType\RichText\Converter\Link::$locationService
| protected

Definition at line 25 of file Link.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Link\__construct().

## ◆ $logger

eZ\Publish\Core\FieldType\RichText\Converter\Link::$logger
| protected

Definition at line 34 of file Link.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Link\__construct().

## ◆ $urlAliasRouter

eZ\Publish\Core\FieldType\RichText\Converter\Link::$urlAliasRouter
| protected

Definition at line 31 of file Link.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Link\__construct().

The documentation for this class was generated from the following file:

- Link.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.